/**
 * @author Hamadou BA  
 * Depot GitLab : https://www-apps.univ-lehavre.fr/forge/bh243413/tp2-ps-resolution-de-systemes-lineaires.git  
 *
 * La classe {@code IrregularSysLinException} represente une exception levee lorsqu'un systeme lineaire.  
 */

package AlgLin;

public class IrregularSysLinException extends Exception {
	private String messageException;

	public IrregularSysLinException(String messageException) {
		this.messageException = messageException;
	}

	public String toString() {
		return (messageException == null || messageException.isEmpty()) ? "Exception : Le systeme est irregulier."
				: messageException;
	}
}